org.apache.hadoop.yarn.api.protocolrecords

## Class SignalContainerRequest

- java.lang.Object
- - org.apache.hadoop.yarn.api.protocolrecords.SignalContainerRequest

-     @InterfaceAudience.Public
       @InterfaceStability.Evolving
      public abstract class SignalContainerRequest
      extends Object

  The request sent by the client to the `ResourceManager` or by the `ApplicationMaster` to the `NodeManager` to signal a container.

  See Also:
    ``

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SignalContainerRequest()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract SignalContainerCommand` | `getCommand()` Get the `SignalContainerCommand` of the signal request.
    `abstract ContainerId` | `getContainerId()` Get the `ContainerId` of the container to signal.
    `static SignalContainerRequest` | `newInstance(ContainerId containerId, SignalContainerCommand signalContainerCommand)`
    `abstract void` | `setCommand(SignalContainerCommand command)` Set the `SignalContainerCommand` of the signal request.
    `abstract void` | `setContainerId(ContainerId containerId)` Set the `ContainerId` of the container to signal.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SignalContainerRequest

          public SignalContainerRequest()

  - ### Method Detail

    - #### newInstance

          @InterfaceAudience.Public
           @InterfaceStability.Unstable
          public static SignalContainerRequest newInstance(ContainerId containerId,
                                                                                                                   SignalContainerCommand signalContainerCommand)

    - #### getContainerId

          @InterfaceAudience.Public
           @InterfaceStability.Unstable
          public abstract ContainerId getContainerId()

      Get the `ContainerId` of the container to signal.
      Returns:
        `ContainerId` of the container to signal.

    - #### setContainerId

          @InterfaceAudience.Public
           @InterfaceStability.Unstable
          public abstract void setContainerId(ContainerId containerId)

      Set the `ContainerId` of the container to signal.

    - #### getCommand

          @InterfaceAudience.Public
           @InterfaceStability.Unstable
          public abstract SignalContainerCommand getCommand()

      Get the `SignalContainerCommand` of the signal request.
      Returns:
        `SignalContainerCommand` of the signal request.

    - #### setCommand

          @InterfaceAudience.Public
           @InterfaceStability.Unstable
          public abstract void setCommand(SignalContainerCommand command)

      Set the `SignalContainerCommand` of the signal request.

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.